package com.pj.ht_byte;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: ht_byte -- 航通基础信息字节码表
 * @author yzs 
 */
@RestController
@RequestMapping("/HtByte/")
public class HtByteController {

	/** 底层 Service 对象 */
	@Autowired
	HtByteService htByteService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(HtByte.PERMISSION_CODE_ADD)
	public AjaxJson add(HtByte h){
		htByteService.add(h);
		h = htByteService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(h);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(HtByte.PERMISSION_CODE_DEL)
	public AjaxJson delete(Integer id){
		 htByteService.delete(Long.valueOf(id));
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(HtByte.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(HtByte.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(HtByte.PERMISSION_CODE_EDIT)
	public AjaxJson update(HtByte h){
		htByteService.update(h);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(HtByte.PERMISSION_CODE)
	public AjaxJson getById(Integer id){
		HtByte h = htByteService.getById(id);
		return AjaxJson.getSuccessData(h);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(HtByte.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<HtByte> list = htByteService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	

	
	
	

}
